package com.yeejoin.amos.boot.module.tcm.api.enums;

import lombok.AllArgsConstructor;

@AllArgsConstructor
public enum InformWorkFlowEnum {
	企业提交审批("submitInform","企业提交审批","0"),
	接收方接收告知书("acceptInform","接收方接收告知书","9"),
    接收方移交告知书("transferInform","接收方移交告知书","1"),
	企业撤回告知书("withdrawInform","企业撤回告知书","2"),
	接收方驳回告知书("dismissInform","接收方驳回告知书","3"),
	企业撤销告知书("cancelInform","企业撤销告知书","-1");

	
	private String code;//流程编码
    private String stage;//流程阶段
    private String processStatus;// 流程状态

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getStage() {
        return stage;
    }

    public void setStage(String stage) {
        this.stage = stage;
    }

    public String getProcessStatus() {
        return processStatus;
    }

    public void setProcessStatus(String processStatus) {
        this.processStatus = processStatus;
    }
}
